org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs

## Class BBoxCrsParameter

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs
    - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.BBoxCrsParameter

-     public class BBoxCrsParameter
      extends AbstractBBoxCrs

       Abstract Test 8: /conf/crs/bbox-crs-parameter
       Test Purpose: Verify that the parameter bbox-crs has been implemented correctly
       Requirement: /req/crs/fc-bbox-crs-definition, /req/crs/bbox-crs-action

       Test Method
       For every CRS identifier advertized by the Web API that is known to the test engine and for which the test engine can convert geometries between the CRS and the default CRS of the Web API ("known CRS") execute the following test. Skip the test for unknown CRSs.
        1. For each spatial feature collection collectionId and every GML or GeoJSON feature representation supported by the Web API, send a request with the parameters bbox and bbox-crs to /collections/{collectionId}/items for every known CRS. Use a bbox value in the spatial extent of the collection, converted to the known CRS. Send the same request, but with no bbox-crs parameter and a bbox value in the default CRS. Do not include a crs parameter in the requests. Verify that the responses include the same features.

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

      `BBOX_CRS_PARAM, BBOX_PARAM, collectionIdToCrs, collectionIdToDefaultCrs, collectionsResponses`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBoxCrsParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object[]>` | `collectionCrs(org.testng.ITestContext testContext)`
    `Iterator<Object[]>` | `collectionDefaultCrs(org.testng.ITestContext testContext)`
    `void` | `verifyBboxCrsParameter(String collectionId, io.restassured.path.json.JsonPath collection, CoordinateSystem crs, CoordinateSystem defaultCrs)`
    `void` | `verifyBboxCrsParameterWithDefaultCrs(String collectionId, io.restassured.path.json.JsonPath collection, CoordinateSystem defaultCrs)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

      `assertSameFeatures, retrieveRequiredInformationFromTestContext`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BBoxCrsParameter

          public BBoxCrsParameter()

  - ### Method Detail

    - #### collectionDefaultCrs

          public Iterator<Object[]> collectionDefaultCrs(org.testng.ITestContext testContext)

    - #### collectionCrs

          public Iterator<Object[]> collectionCrs(org.testng.ITestContext testContext)

    - #### verifyBboxCrsParameterWithDefaultCrs

          public void verifyBboxCrsParameterWithDefaultCrs(String collectionId,
                                                           io.restassured.path.json.JsonPath collection,
                                                           CoordinateSystem defaultCrs)

      Parameters:
        `collectionId` - the id of the collection, never `null`
        `collection` - the /collection object, never `null`
        `defaultCrs` - the defaultCrs of the collection, never `null`

    - #### verifyBboxCrsParameter

          public void verifyBboxCrsParameter(String collectionId,
                                             io.restassured.path.json.JsonPath collection,
                                             CoordinateSystem crs,
                                             CoordinateSystem defaultCrs)

      Parameters:
        `collectionId` - the id of the collection, never `null`
        `collection` - the /collection object, never `null`
        `crs` - the crs to test, never `null`
        `defaultCrs` - the defaultCrs of the collection, never `null`

Copyright © 2021 Open Geospatial Consortium. All rights reserved.